Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.s1
Class ActionFormResetInterceptor

    java.lang.Object
      com.opensymphony.xwork2.interceptor.AbstractInterceptor
          org.apache.struts2.s1.ActionFormResetInterceptor

All Implemented Interfaces:
  com.opensymphony.xwork2.interceptor.Interceptor, Serializable

    public class ActionFormResetInterceptor

extends com.opensymphony.xwork2.interceptor.AbstractInterceptor

Calls the reset() method on the ActionForm, if it exists.

See Also:
  Serialized Form

Field Summary
`protected Configuration` | `configuration`

Constructor Summary
`ActionFormResetInterceptor()`

Method Summary
`String` | `intercept(com.opensymphony.xwork2.ActionInvocation invocation)`
`void` | `setConfiguration(Configuration config)`

Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor
`destroy, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configuration

    protected Configuration configuration

Constructor Detail

### ActionFormResetInterceptor

    public ActionFormResetInterceptor()

Method Detail

### setConfiguration

    public void setConfiguration(Configuration config)

### intercept

    public String intercept(com.opensymphony.xwork2.ActionInvocation invocation)
                     throws Exception

  Specified by:
    `intercept` in interface `com.opensymphony.xwork2.interceptor.Interceptor`
  Specified by:
    `intercept` in class `com.opensymphony.xwork2.interceptor.AbstractInterceptor`
  Throws:
    `Exception`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.